{
        template: '${tmpl}',
                data: function() {
                        return {
                                username: null,
                                yanzhengma: null,
                                password: null,
                                flag:true,
                                flag1:false,
                                time:null,
                                inpType: 'password'
                        }
                },
        mounted: function() {

        },
        created: function() {

        },
        methods: {
                getYanzhengma () {
                        if(this.flag){
                                this.flag = false;
                                this.time = 10;
                                /**
                                 * 
                                 * 
                                 *  */
                                let timer = setInterval(() => {
                                        console.log(this.time);
                                        if(this.time <= 1) {
                                                this.flag = true;
                                                this.time = null;
                                                clearInterval(timer);
                                                return ;
                                        }
                                        this.time--;
                                },1000)
                        }
                },
                falgClick () {
                        console.log("asdasd");
                        this.flag1 = !this.flag1;
                        if(this.flag1){
                                this.inpType = "text";
                        }else{
                                this.inpType = "password";
                        };
                },
        },
        vname: "gsb-userlogin"
}
